autofs-5.0.8 - fix variable substitution description

From: Ian Kent <ikent@redhat.com>

The desription about Variable substitution in autofs(5) says that
translation is done on the key and location fields which is not
correct.

Expecting to be able to receive a key from the kernel that
contains variables to be substituted doesn't make sense and
to be able to use map keys with substitution would mean a full
map scan for every lookup for all map sources. That is not
unacceptable for large maps.
---
 CHANGELOG    |    1 +
 man/autofs.5 |    7 ++++---
 2 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index b84ccdb..015fd78 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -38,6 +38,7 @@
 - use open(2) instead of access(2) to trigger dependent mounts.
 - fix fix map source with type lookup.
 - fixes for samples/auto.master.
+- fix variable substitution description.
 
 17/10/2013 autofs-5.0.8
 =======================
diff --git a/man/autofs.5 b/man/autofs.5
index 96c2a2c..c3a1611 100644
--- a/man/autofs.5
+++ b/man/autofs.5
@@ -157,9 +157,10 @@ The special character '&' will be replaced by the provided key.  So,
 in the example above, a lookup for the key 'foo' would yield a mount
 of server:/export/home/foo.
 .SS Variable Substitution
-The following special variables will be substituted in the key and location
-fields of an automounter map if prefixed with $ as customary from shell
-scripts (Curly braces can be used to separate the field name):
+The following special variables will be substituted in the location
+field of an automounter map entry if prefixed with $ as customary
+from shell scripts (curly braces can be used to separate the field
+name):
 .sp
 .RS +.2i
 .ta 1.5i
